

import 'package:flutter/material.dart';

final ThemeData GeideaTheme = new ThemeData(
  primarySwatch: Colors.deepOrange,
  brightness: Brightness.light,
  //geidea main color
  primaryColor: Color(0xffFF4D00),
  //geidea secondary color
  accentColor: Color(0xff343F4B),
  //geidea blue color
  cursorColor: Color(0xff4285f4),
  primaryColorBrightness: Brightness.dark,
  primaryColorLight: Color(0xffFFBE9F),
  primaryColorDark: Color(0xffe64a19),
  accentColorBrightness: Brightness.dark,
  canvasColor: Color(0xfffafafa),
  scaffoldBackgroundColor: Color(0xfffafafa),
  bottomAppBarColor: Color(0xffffffff),
  cardColor: Color(0xffffffff),
  dividerColor: Color(0x1f343F4B),
  highlightColor: Color(0x66bcbcbc),
  splashColor: Color(0x66c8c8c8),
  selectedRowColor: Color(0xfff5f5f5),
  unselectedWidgetColor: Color(0x8a343F4B),
  disabledColor: Color(0x61343F4B),
  buttonColor: Color(0xffe0e0e0),
  toggleableActiveColor: Color(0xfff4511e),
  secondaryHeaderColor: Color(0xfffbe9e7),
  textSelectionColor: Color(0xffffab91),

  textSelectionHandleColor: Color(0xffff8a65),
  backgroundColor: Color(0xffffab91),
  dialogBackgroundColor: Color(0xffffffff),
  indicatorColor: Color(0xffFF4D00),
  hintColor: Color(0x8a343F4B),
  errorColor: Color(0xffd32f2f),
  buttonTheme: ButtonThemeData(
    textTheme: ButtonTextTheme.normal,
    minWidth: 88,
    height: 36,
    padding: EdgeInsets.only(top: 0, bottom: 0, left: 16, right: 16),
    shape: RoundedRectangleBorder(
      side: BorderSide(
        color: Color(0xff343F4B),
        width: 0,
        style: BorderStyle.none,
      ),
      borderRadius: BorderRadius.all(Radius.circular(2.0)),
    ),
    alignedDropdown: false,
    buttonColor: Color(0xffe0e0e0),
    disabledColor: Color(0x61343F4B),
    highlightColor: Color(0x29343F4B),
    splashColor: Color(0x1f343F4B),
    focusColor: Color(0x1f343F4B),
    hoverColor: Color(0x0a343F4B),
    colorScheme: ColorScheme(
      primary: Color(0xffFF4D00),
      primaryVariant: Color(0xffe64a19),
      secondary: Color(0xffFF4D00),
      secondaryVariant: Color(0xffe64a19),
      surface: Color(0xffffffff),
      background: Color(0xffffab91),
      error: Color(0xffd32f2f),
      onPrimary: Color(0xffffffff),
      onSecondary: Color(0xffffffff),
      onSurface: Color(0xff343F4B),
      onBackground: Color(0xffffffff),
      onError: Color(0xffffffff),
      brightness: Brightness.light,
    ),
  ),
  textTheme: TextTheme(
    display4: TextStyle(
      color: Color(0x8a343F4B),
      fontSize: null,
      fontWeight: FontWeight.w400,
      fontStyle: FontStyle.normal,
      fontFamily: 'Montserrat',
    ),
    display3: TextStyle(
      color: Color(0x8a343F4B),
      fontSize: null,
      fontWeight: FontWeight.w400,
      fontStyle: FontStyle.normal,
      fontFamily: 'Montserrat',
    ),
    display2: TextStyle(
      color: Color(0x8a343F4B),
      fontSize: null,
      fontWeight: FontWeight.w400,
      fontStyle: FontStyle.normal,
      fontFamily: 'Montserrat',
    ),
    display1: TextStyle(
      color: Color(0x8a343F4B),
      fontSize: null,
      fontWeight: FontWeight.w400,
      fontStyle: FontStyle.normal,
      fontFamily: 'Montserrat',
    ),
    headline: TextStyle(
      color: Color(0xdd343F4B),
      fontSize: null,
      fontWeight: FontWeight.w400,
      fontStyle: FontStyle.normal,
      fontFamily: 'Montserrat',
    ),
    title: TextStyle(
      color: Color(0xdd343F4B),
      fontSize: null,
      fontWeight: FontWeight.w400,
      fontStyle: FontStyle.normal,
      fontFamily: 'Montserrat',
    ),
    subhead: TextStyle(
      color: Color(0xdd343F4B),
      fontSize: null,
      fontWeight: FontWeight.w400,
      fontStyle: FontStyle.normal,
      fontFamily: 'Montserrat',
    ),
    body2: TextStyle(
      color: Color(0xdd343F4B),
      fontSize: null,
      fontWeight: FontWeight.w400,
      fontStyle: FontStyle.normal,
      fontFamily: 'Montserrat',
    ),
    body1: TextStyle(
      color: Color(0xdd343F4B),
      fontSize: null,
      fontWeight: FontWeight.w400,
      fontStyle: FontStyle.normal,
      fontFamily: 'Montserrat',
    ),
    caption: TextStyle(
      color: Color(0x8a343F4B),
      fontSize: null,
      fontWeight: FontWeight.w400,
      fontStyle: FontStyle.normal,
      fontFamily: 'Montserrat',
    ),
    button: TextStyle(
      color: Color(0xdd343F4B),
      fontSize: null,
      fontWeight: FontWeight.w400,
      fontStyle: FontStyle.normal,
      fontFamily: 'Montserrat',
    ),
    subtitle: TextStyle(
      color: Color(0xff343F4B),
      fontSize: null,
      fontWeight: FontWeight.w400,
      fontStyle: FontStyle.normal,
      fontFamily: 'Montserrat',
    ),
    overline: TextStyle(
      color: Color(0xff343F4B),
      fontSize: null,
      fontWeight: FontWeight.w400,
      fontStyle: FontStyle.normal,
      fontFamily: 'Montserrat',
    ),
  ),
  primaryTextTheme: TextTheme(
    display4: TextStyle(
      color: Color(0xb3ffffff),
      fontSize: null,
      fontWeight: FontWeight.w400,
      fontStyle: FontStyle.normal,
      fontFamily: 'Montserrat',
    ),
    display3: TextStyle(
      color: Color(0xb3ffffff),
      fontSize: null,
      fontWeight: FontWeight.w400,
      fontStyle: FontStyle.normal,
      fontFamily: 'Montserrat',
    ),
    display2: TextStyle(
      color: Color(0xb3ffffff),
      fontSize: null,
      fontWeight: FontWeight.w400,
      fontStyle: FontStyle.normal,
      fontFamily: 'Montserrat',
    ),
    display1: TextStyle(
      color: Color(0xb3ffffff),
      fontSize: null,
      fontWeight: FontWeight.w400,
      fontStyle: FontStyle.normal,
      fontFamily: 'Montserrat',
    ),
    headline: TextStyle(
      color: Color(0xffffffff),
      fontSize: null,
      fontWeight: FontWeight.w400,
      fontStyle: FontStyle.normal,
      fontFamily: 'Montserrat',
    ),
    title: TextStyle(
      color: Color(0xffffffff),
      fontSize: null,
      fontWeight: FontWeight.w400,
      fontStyle: FontStyle.normal,
      fontFamily: 'Montserrat',
    ),
    subhead: TextStyle(
      color: Color(0xffffffff),
      fontSize: null,
      fontWeight: FontWeight.w400,
      fontStyle: FontStyle.normal,
      fontFamily: 'Montserrat',
    ),
    body2: TextStyle(
      color: Color(0xffffffff),
      fontSize: null,
      fontWeight: FontWeight.w400,
      fontStyle: FontStyle.normal,
      fontFamily: 'Montserrat',
    ),
    body1: TextStyle(
      color: Color(0xffffffff),
      fontSize: null,
      fontWeight: FontWeight.w400,
      fontStyle: FontStyle.normal,
      fontFamily: 'Montserrat',
    ),
    caption: TextStyle(
      color: Color(0xb3ffffff),
      fontSize: null,
      fontWeight: FontWeight.w400,
      fontStyle: FontStyle.normal,
      fontFamily: 'Montserrat',
    ),
    button: TextStyle(
      color: Color(0xffffffff),
      fontSize: null,
      fontWeight: FontWeight.w400,
      fontStyle: FontStyle.normal,
      fontFamily: 'Montserrat',
    ),
    subtitle: TextStyle(
      color: Color(0xffffffff),
      fontSize: null,
      fontWeight: FontWeight.w400,
      fontStyle: FontStyle.normal,
      fontFamily: 'Montserrat',
    ),
    overline: TextStyle(
      color: Color(0xffffffff),
      fontSize: null,
      fontWeight: FontWeight.w400,
      fontStyle: FontStyle.normal,
      fontFamily: 'Montserrat',
    ),
  ),
  accentTextTheme: TextTheme(
    display4: TextStyle(
      color: Color(0xb3ffffff),
      fontSize: null,
      fontWeight: FontWeight.w400,
      fontStyle: FontStyle.normal,
      fontFamily: 'Montserrat',
    ),
    display3: TextStyle(
      color: Color(0xb3ffffff),
      fontSize: null,
      fontWeight: FontWeight.w400,
      fontStyle: FontStyle.normal,
      fontFamily: 'Montserrat',
    ),
    display2: TextStyle(
      color: Color(0xb3ffffff),
      fontSize: null,
      fontWeight: FontWeight.w400,
      fontStyle: FontStyle.normal,
      fontFamily: 'Montserrat',
    ),
    display1: TextStyle(
      color: Color(0xb3ffffff),
      fontSize: null,
      fontWeight: FontWeight.w400,
      fontStyle: FontStyle.normal,
      fontFamily: 'Montserrat',
    ),
    headline: TextStyle(
      color: Color(0xffffffff),
      fontSize: null,
      fontWeight: FontWeight.w400,
      fontStyle: FontStyle.normal,
      fontFamily: 'Montserrat',
    ),
    title: TextStyle(
      color: Color(0xffffffff),
      fontSize: null,
      fontWeight: FontWeight.w400,
      fontStyle: FontStyle.normal,
      fontFamily: 'Montserrat',
    ),
    subhead: TextStyle(
      color: Color(0xffffffff),
      fontSize: null,
      fontWeight: FontWeight.w400,
      fontStyle: FontStyle.normal,
      fontFamily: 'Montserrat',
    ),
    body2: TextStyle(
      color: Color(0xffffffff),
      fontSize: null,
      fontWeight: FontWeight.w400,
      fontStyle: FontStyle.normal,
      fontFamily: 'Montserrat',
    ),
    body1: TextStyle(
      color: Color(0xffffffff),
      fontSize: null,
      fontWeight: FontWeight.w400,
      fontStyle: FontStyle.normal,
      fontFamily: 'Montserrat',
    ),
    caption: TextStyle(
      color: Color(0xb3ffffff),
      fontSize: null,
      fontWeight: FontWeight.w400,
      fontStyle: FontStyle.normal,
      fontFamily: 'Montserrat',
    ),
    button: TextStyle(
      color: Color(0xffffffff),
      fontSize: null,
      fontWeight: FontWeight.w400,
      fontStyle: FontStyle.normal,
      fontFamily: 'Montserrat',
    ),
    subtitle: TextStyle(
      color: Color(0xffffffff),
      fontSize: null,
      fontWeight: FontWeight.w400,
      fontStyle: FontStyle.normal,
      fontFamily: 'Montserrat',
    ),
    overline: TextStyle(
      color: Color(0xffffffff),
      fontSize: null,
      fontWeight: FontWeight.w400,
      fontStyle: FontStyle.normal,
      fontFamily: 'Montserrat',
    ),
  ),
  inputDecorationTheme: InputDecorationTheme(
    labelStyle: TextStyle(
      color: Color(0xdd343F4B),
      fontSize: null,
      fontWeight: FontWeight.w400,
      fontStyle: FontStyle.normal,
      fontFamily: 'Montserrat',
    ),
    helperStyle: TextStyle(
      color: Color(0xdd343F4B),
      fontSize: null,
      fontWeight: FontWeight.w400,
      fontStyle: FontStyle.normal,
      fontFamily: 'Montserrat',
    ),
    hintStyle: TextStyle(
      color: Color(0xdd343F4B),
      fontSize: null,
      fontWeight: FontWeight.w400,
      fontStyle: FontStyle.normal,
      fontFamily: 'Montserrat',
    ),
    errorStyle: TextStyle(
      color: Color(0xdd343F4B),
      fontSize: null,
      fontWeight: FontWeight.w400,
      fontStyle: FontStyle.normal,
      fontFamily: 'Montserrat',
    ),
    errorMaxLines: null,
    hasFloatingPlaceholder: true,
    isDense: false,
    contentPadding: EdgeInsets.only(top: 12, bottom: 12, left: 0, right: 0),
    isCollapsed: false,
    prefixStyle: TextStyle(
      color: Color(0xdd343F4B),
      fontSize: null,
      fontWeight: FontWeight.w400,
      fontStyle: FontStyle.normal,
      fontFamily: 'Montserrat',
    ),
    suffixStyle: TextStyle(
      color: Color(0xdd343F4B),
      fontSize: null,
      fontWeight: FontWeight.w400,
      fontStyle: FontStyle.normal,
      fontFamily: 'Montserrat',
    ),
    counterStyle: TextStyle(
      color: Color(0xdd343F4B),
      fontSize: null,
      fontWeight: FontWeight.w400,
      fontStyle: FontStyle.normal,
      fontFamily: 'Montserrat',
    ),
    filled: false,
    fillColor: Color(0x343F4B00),
    errorBorder: UnderlineInputBorder(
      borderSide: BorderSide(
        color: Color(0xff343F4B),
        width: 1,
        style: BorderStyle.solid,
      ),
      borderRadius: BorderRadius.all(Radius.circular(4.0)),
    ),
    focusedBorder: UnderlineInputBorder(
      borderSide: BorderSide(
        color: Color(0xff343F4B),
        width: 1,
        style: BorderStyle.solid,
      ),
      borderRadius: BorderRadius.all(Radius.circular(4.0)),
    ),
    focusedErrorBorder: UnderlineInputBorder(
      borderSide: BorderSide(
        color: Color(0xff343F4B),
        width: 1,
        style: BorderStyle.solid,
      ),
      borderRadius: BorderRadius.all(Radius.circular(4.0)),
    ),
    disabledBorder: UnderlineInputBorder(
      borderSide: BorderSide(
        color: Color(0xff343F4B),
        width: 1,
        style: BorderStyle.solid,
      ),
      borderRadius: BorderRadius.all(Radius.circular(4.0)),
    ),
    enabledBorder: UnderlineInputBorder(
      borderSide: BorderSide(
        color: Color(0xff343F4B),
        width: 1,
        style: BorderStyle.solid,
      ),
      borderRadius: BorderRadius.all(Radius.circular(4.0)),
    ),
    border: UnderlineInputBorder(
      borderSide: BorderSide(
        color: Color(0xff343F4B),
        width: 1,
        style: BorderStyle.solid,
      ),
      borderRadius: BorderRadius.all(Radius.circular(4.0)),
    ),
  ),
  iconTheme: IconThemeData(
    color: Color(0xdd343F4B),
    opacity: 1,
    size: 24,
  ),
  primaryIconTheme: IconThemeData(
    color: Color(0xffffffff),
    opacity: 1,
    size: 24,
  ),
  accentIconTheme: IconThemeData(
    color: Color(0xffffffff),
    opacity: 1,
    size: 24,
  ),
  sliderTheme: SliderThemeData(
    activeTrackColor: null,
    inactiveTrackColor: null,
    disabledActiveTrackColor: null,
    disabledInactiveTrackColor: null,
    activeTickMarkColor: null,
    inactiveTickMarkColor: null,
    disabledActiveTickMarkColor: null,
    disabledInactiveTickMarkColor: null,
    thumbColor: null,
    disabledThumbColor: null,
    thumbShape: null,
    overlayColor: null,
    valueIndicatorColor: null,
    valueIndicatorShape: null,
    showValueIndicator: null,
    valueIndicatorTextStyle: TextStyle(
      color: Color(0xffffffff),
      fontSize: null,
      fontWeight: FontWeight.w400,
      fontStyle: FontStyle.normal,
      fontFamily: 'Montserrat',
    ),
  ),
  tabBarTheme: TabBarTheme(
    indicatorSize: TabBarIndicatorSize.tab,
    labelColor: Color(0xffffffff),
    unselectedLabelColor: Color(0xb2ffffff),
  ),
  chipTheme: ChipThemeData(
    backgroundColor: Color(0x1f343F4B),
    brightness: Brightness.light,
    deleteIconColor: Color(0xde343F4B),
    disabledColor: Color(0x0c343F4B),
    labelPadding: EdgeInsets.only(top: 0, bottom: 0, left: 8, right: 8),
    labelStyle: TextStyle(
      color: Color(0xde343F4B),
      fontSize: null,
      fontWeight: FontWeight.w400,
      fontStyle: FontStyle.normal,
      fontFamily: 'Montserrat',
    ),
    padding: EdgeInsets.only(top: 4, bottom: 4, left: 4, right: 4),
    secondaryLabelStyle: TextStyle(
      color: Color(0x3d343F4B),
      fontSize: null,
      fontWeight: FontWeight.w400,
      fontStyle: FontStyle.normal,
      fontFamily: 'Montserrat',
    ),
    secondarySelectedColor: Color(0x3dFF4D00),
    selectedColor: Color(0x3d343F4B),
    shape: StadiumBorder(
        side: BorderSide(
      color: Color(0xff343F4B),
      width: 0,
      style: BorderStyle.none,
    )),
  ),
  dialogTheme: DialogTheme(
      shape: RoundedRectangleBorder(
    side: BorderSide(
      color: Color(0xff343F4B),
      width: 0,
      style: BorderStyle.none,
    ),
    borderRadius: BorderRadius.all(Radius.circular(0.0)),
  )),
);

class GeideaColors {
  GeideaColors._(); // this basically makes it so you can instantiate this class
  static const MaterialColor orange =
      const MaterialColor(0XFFff4d00, <int, Color>{
//    50: const Color(/* some hex code */),
//    100: const Color(/* some hex code */),
    200: const Color(0XFFffc0a5),
//    300: const Color(/* some hex code */),
//    400: const Color(/* some hex code */),
    500: const Color(0XFFff4d00),
//    600: const Color(/* some hex code */),
//    700: const Color(/* some hex code */),
//    800: const Color(/* some hex code */),
//    900: const Color(/* some hex code */)
  });

  static const MaterialColor black =
      const MaterialColor(0XFF000000, <int, Color>{
//    50: const Color(/* some hex code */),
//    100: const Color(/* some hex code */),
//        200: const Color(0XFF000000),
//    300: const Color(/* some hex code */),
//    400: const Color(/* some hex code */),
    500: const Color(0XFF000000),
//    600: const Color(/* some hex code */),
//    700: const Color(/* some hex code */),
//    800: const Color(/* some hex code */),
//    900: const Color(/* some hex code */)
  });

  static const MaterialColor blue =
      const MaterialColor(0XFF2F67F6, <int, Color>{
//    50: const Color(/* some hex code */),
//    100: const Color(/* some hex code */),
//    200: const Color(/* some hex code */),
//    300: const Color(/* some hex code */),
//    400: const Color(/* some hex code */),
    500: const Color(0XFF2F67F6),
//    600: const Color(/* some hex code */),
//    700: const Color(/* some hex code */),
//    800: const Color(/* some hex code */),
//    900: const Color(/* some hex code */)
  });
  static const MaterialColor charcoal =
      const MaterialColor(0XFF343f4b, <int, Color>{
//    50: const Color(/* some hex code */),
//    100: const Color(/* some hex code */),
//    200: const Color(/* some hex code */),
//    300: const Color(/* some hex code */),
//    400: const Color(/* some hex code */),
    500: const Color(0XFF343f4b),
//    600: const Color(/* some hex code */),
//    700: const Color(/* some hex code */),
//    800: const Color(/* some hex code */),
//    900: const Color(/* some hex code */)
  });
}
