

import 'package:flutter/material.dart';
import 'package:geideadesignframework/GeideaTheme.dart';

class GedieaAppBar extends StatefulWidget implements PreferredSizeWidget {
  GedieaAppBar(
      {Key key,
      this.centerTitle = true,
      this.title,
      this.backgroundColor = GeideaColors.orange,
      this.actionList,
      this.leading,
      this.textColor = Colors.white,
      this.borderBottomHeight = 0.0,
      this.borderBottomColor = GeideaColors.orange})
      : preferredSize = Size.fromHeight(kToolbarHeight),
        super(key: key);

  final Size preferredSize; // default is 56.0
  final String title;
  final Color backgroundColor;
  final bool centerTitle;
  final List<Widget> actionList;
  final Widget leading;
  final Color textColor;
  final Color borderBottomColor;
  final double borderBottomHeight;

  @override
  _GedieaAppBarState createState() => _GedieaAppBarState();
}

class _GedieaAppBarState extends State<GedieaAppBar> {
  @override
  Widget build(BuildContext context) {
    return AppBar(
      centerTitle: widget.centerTitle,
      // Here we take the value from the MyHomePage object that was created by
      // the App.build method, and use it to set our appbar title.
      actions: widget.actionList,
      leading: widget.leading,
      title: Text(widget.title,
          style: TextStyle(fontFamily: 'Montserrat', color: widget.textColor)),
      backgroundColor: widget.backgroundColor,
      elevation: 0.0,
      bottom: PreferredSize(
          child: Container(color: widget.borderBottomColor, height: widget.borderBottomHeight),
          preferredSize: Size.fromHeight( widget.borderBottomHeight)
      ),
    );
  }
}
