

import 'package:flutter/material.dart';
import 'package:geideadesignframework/geidea_icon.dart';

class GedieaAppDrawer extends StatefulWidget {
  GedieaAppDrawer(
      {Key key,
      this.items,
      this.color = Colors.white,
      this.fontSize = 20.0,
      this.iconSize = 30.0,
      this.textAlign,
      this.paddingVertical = 15.0,
      this.paddingHorizontal = 40.0})
      : super(key: key);

  final items;
  final Color color;
  final double fontSize;
  final double iconSize;
  final double paddingVertical;
  final double paddingHorizontal;
  final TextAlign textAlign;

  @override
  _GedieaAppDrawerState createState() => _GedieaAppDrawerState();
}

class _GedieaAppDrawerState extends State<GedieaAppDrawer> {
  List<Widget> children = <Widget>[];

  @override
  void initState() {
    for (var i = 0; i < widget.items.length; i++) {
      var item = widget.items[i];

      children.add(
        ListTile(
            contentPadding: EdgeInsets.symmetric(
                horizontal: widget.paddingHorizontal,
                vertical: widget.paddingVertical),
            leading: GeideaIcon(
              name: item['iconName'],
              color: widget.color,
              size: widget.iconSize,
            ),
            title: Text(
              item['text'],
              style: TextStyle(color: widget.color, fontSize: widget.fontSize, fontFamily: 'Montserrat'),
            ),
            onTap: item['onTap']),
      );
    }

    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Drawer(
        child: Container(
            color: Theme.of(context).accentColor, child: ListView(children: children)));
  }
}
