

import 'package:flutter/material.dart';
import 'package:geideadesignframework/GeideaTheme.dart';

class MainButton extends StatefulWidget {
  MainButton({Key key, this.text, this.onPressed, this.disabled = false, this.preTextWidget,
    this.postTextWidget})
      : super(key: key);

  final String text;
  final bool disabled;
  final VoidCallback onPressed;
  final Widget preTextWidget;
  final Widget postTextWidget;
  @override
  _MainButtonState createState() => _MainButtonState();
}

class _MainButtonState extends State<MainButton> {
  bool _isButtonDisabled;

  @override
  void initState() {
    _isButtonDisabled = widget.disabled;
  }

  void _disableButton() {
    setState(() {
      _isButtonDisabled = true;
    });
  }

  @override
  Widget build(BuildContext context) {
    return Container(
      width: double.infinity,
      child: RaisedButton(
        shape: RoundedRectangleBorder(borderRadius: BorderRadius.circular(50)),
        textColor: Colors.white,
        color: Theme.of(context).primaryColor,
        disabledColor: Theme.of(context).primaryColorLight,
        disabledTextColor: Colors.white,
        padding: const EdgeInsets.symmetric(vertical: 20.0),
        onPressed: _isButtonDisabled == true ? null : widget.onPressed,
        child: Row(mainAxisAlignment: MainAxisAlignment.center, children: <Widget>[
          widget.preTextWidget == null ? Container() : widget.preTextWidget,
          Text(
            widget.text,
            style: TextStyle(
              fontFamily: 'Montserrat',
              fontSize: 20,
            ),
          ),
          widget.postTextWidget == null ? Container() : widget.postTextWidget,
        ]),
      ),
    );
  }
}
