import 'package:flutter/material.dart';
import 'package:geideadesignframework/GeideaTheme.dart';

class SecondaryButton extends StatefulWidget {
  SecondaryButton(
      {Key key,
      this.text,
      this.onPressed,
      this.preTextWidget,
      this.postTextWidget,
      this.padding = const EdgeInsets.symmetric(vertical: 20.0),
      this.textColor,
      this.borderColor = Colors.transparent,
      this.fontWeight = FontWeight.normal})
      : super(key: key);

  final String text;
  final VoidCallback onPressed;
  final Widget preTextWidget;
  final Widget postTextWidget;
  final Color textColor;
  final EdgeInsets padding;
  final Color borderColor;
  final FontWeight fontWeight;

  @override
  _SecondaryButtonState createState() => _SecondaryButtonState();
}

class _SecondaryButtonState extends State<SecondaryButton> {
  @override
  Widget build(BuildContext context) {
    return Container(
      width: double.infinity,
      child: FlatButton(
        shape: RoundedRectangleBorder(
            side: BorderSide(
                color: widget.borderColor, width: 1, style: BorderStyle.solid),
            borderRadius: BorderRadius.circular(50)),
        color: Colors.transparent,
        padding: widget.padding,
        onPressed: widget.onPressed,
        child:
            Row(mainAxisAlignment: MainAxisAlignment.center, children: <Widget>[
          widget.preTextWidget == null ? Container() : widget.preTextWidget,
          Text(
            widget.text,
            style: TextStyle(
                fontFamily: 'Montserrat',
                fontSize: 20,
                color: widget.textColor == null
                    ? Theme.of(context).accentColor
                    : widget.textColor,
                fontWeight: widget.fontWeight),
          ),
          widget.postTextWidget == null ? Container() : widget.postTextWidget,
        ]),
      ),
    );
  }
}
